org.springframework.web.reactive.resource

## Class TransformedResource

- java.lang.Object
- - org.springframework.core.io.AbstractResource
  - - org.springframework.core.io.ByteArrayResource
    - - org.springframework.web.reactive.resource.TransformedResource

All Implemented Interfaces:
  org.springframework.core.io.InputStreamSource, org.springframework.core.io.Resource

    public class TransformedResource
    extends org.springframework.core.io.ByteArrayResource

An extension of `ByteArrayResource` that a `ResourceTransformer` can use to represent an original resource preserving all other information except the content.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`TransformedResource(org.springframework.core.io.Resource original, byte[] transformedContent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFilename()`
`long` `lastModified()`

### Methods inherited from class org.springframework.core.io.ByteArrayResource

`contentLength, equals, exists, getByteArray, getDescription, getInputStream, hashCode`

### Methods inherited from class org.springframework.core.io.AbstractResource

`createRelative, getFile, getFileForLastModifiedCheck, getURI, getURL, isFile, isOpen, isReadable, readableChannel, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransformedResource

    public TransformedResource(org.springframework.core.io.Resource original,
                               byte[] transformedContent)

### Method Detail

#### getFilename

    @Nullable
    public String getFilename()

Specified by:
  `getFilename` in interface `org.springframework.core.io.Resource`
Overrides:
  `getFilename` in class `org.springframework.core.io.AbstractResource`

#### lastModified

    public long lastModified()

Specified by:
  `lastModified` in interface `org.springframework.core.io.Resource`
Overrides:
  `lastModified` in class `org.springframework.core.io.AbstractResource`